Package net.shibboleth.shared.spring.service

# Class ApplicationContextServiceableComponent

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.shared.spring.service.AbstractServiceableComponent<ApplicationContext>
net.shibboleth.shared.spring.service.ApplicationContextServiceableComponent

All Implemented Interfaces:
  `AutoCloseable`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`, `ServiceableComponent<ApplicationContext>`, `Aware`, `ApplicationContextAware`

public class ApplicationContextServiceableComponent extends AbstractServiceableComponent<ApplicationContext>
Wraps a Spring `ApplicationContext` so it can itself be exposed as a serviceable component.

Since:
  5.4.0

## Constructor Summary

Constructors
Constructor
Description
`ApplicationContextServiceableComponent()`

## Method Summary

Modifier and Type
Method
Description
`ApplicationContext`
`getComponent()`
Extract the component that does the actual work.

### Methods inherited from class net.shibboleth.shared.spring.service.AbstractServiceableComponent

`close, doDestroy, doInitialize, getApplicationContext, pinComponent, setApplicationContext, unloadComponent, unpinComponent`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Constructor Details

### ApplicationContextServiceableComponent

public ApplicationContextServiceableComponent()

## Method Details

### getComponent

@Nonnull public ApplicationContext getComponent()
Extract the component that does the actual work. Callers MUST have the ServiceableComponent pinned at this stage.

Specified by:
  `getComponent` in interface `ServiceableComponent<ApplicationContext>`
Specified by:
  `getComponent` in class `AbstractServiceableComponent<ApplicationContext>`
Returns:
  the component.